# Interface IProfileChangeJob

All Known Implementing Classes:
  `InstallOperation, ProfileChangeOperation, ProfileModificationJob, RemediationOperation, SynchronizeOperation, UninstallOperation, UpdateOperation`

public interface IProfileChangeJob
Interface for a provisioning job that operates on a profile.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`String`
`getProfileId()`
Return the string id of the profile involved in this job.

## Method Details

### getProfileId

String getProfileId()
Return the string id of the profile involved in this job.

Returns:
  the id of the profile